summaryrefslogtreecommitdiffstats
path: root/scripts/qemuimage-tests/sanity/smart_query
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/qemuimage-tests/sanity/smart_query')
-rwxr-xr-xscripts/qemuimage-tests/sanity/smart_query52
1 files changed, 52 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/sanity/smart_query b/scripts/qemuimage-tests/sanity/smart_query
new file mode 100755
index 0000000000..779ee630b3
--- /dev/null
+++ b/scripts/qemuimage-tests/sanity/smart_query
@@ -0,0 +1,52 @@
+#!/bin/bash
+# Smart Check Test Case for Sanity Test
+# The case boot up the Qemu target with `runqemu qemuxxx`.
+# Then check if smart command can work in target.
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+. $COREBASE/scripts/qemuimage-testlib
+
+TIMEOUT=400
+RET=1
+
+# Start qemu and check its network
+Test_Create_Qemu ${TIMEOUT}
+
+# If qemu network is up, check ssh service in qemu
+if [ $? -eq 0 ]; then
+ Test_Info "Begin to Test SSH Service in Qemu"
+ Test_SSH_UP ${TARGET_IPADDR} ${TIMEOUT}
+ RET=$?
+else
+ RET=1
+fi
+
+# Check if smart query can work in target
+if [ $RET -eq 0 -a -f $TOOLS/smart_test.sh ]; then
+ # Copy smart_test.sh into target
+ Test_Target_Pre ${TARGET_IPADDR} $TOOLS/smart_test.sh
+ if [ $? -eq 0 ]; then
+ # Run smart_test.sh to check if smart query can work in target
+ Test_SSH ${TARGET_IPADDR} "sh $TARGET_TEST_DIR/smart_test.sh query avahi*"
+ RET=$?
+ else
+ RET=1
+ fi
+fi
+
+if [ ${RET} -eq 0 ]; then
+ Test_Info "smart query package avahi Test PASS"
+ Test_Kill_Qemu
+ Test_Print_Result "smart_query" 0
+ exit 0
+else
+ Test_Info "smart query package avahi FAIL, Pls. check above error log"
+ Test_Kill_Qemu
+ Test_Print_Result "smart_query" 1
+ exit 1
+fi